## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 24
%bcond_without check
%global debug_package %{nil}

%global crate regex-syntax

Name:           rust-regex-syntax
Version:        0.6.29
Release:        %autorelease
Summary:        Regular expression parser

License:        (MIT OR Apache-2.0) AND Unicode-DFS-2016
URL:            https://crates.io/crates/regex-syntax
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * add missing Unicode license terms to crate metadata:
#   https://github.com/rust-lang/regex/discussions/933
Patch:          regex-syntax-fix-metadata.diff

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
A regular expression parser.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%license %{crate_instdir}/src/unicode_tables/LICENSE-UNICODE
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+unicode-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+unicode-devel %{_description}

This package contains library source intended for building other packages which
use the "unicode" feature of the "%{crate}" crate.

%files       -n %{name}+unicode-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+unicode-age-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+unicode-age-devel %{_description}

This package contains library source intended for building other packages which
use the "unicode-age" feature of the "%{crate}" crate.

%files       -n %{name}+unicode-age-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+unicode-bool-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+unicode-bool-devel %{_description}

This package contains library source intended for building other packages which
use the "unicode-bool" feature of the "%{crate}" crate.

%files       -n %{name}+unicode-bool-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+unicode-case-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+unicode-case-devel %{_description}

This package contains library source intended for building other packages which
use the "unicode-case" feature of the "%{crate}" crate.

%files       -n %{name}+unicode-case-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+unicode-gencat-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+unicode-gencat-devel %{_description}

This package contains library source intended for building other packages which
use the "unicode-gencat" feature of the "%{crate}" crate.

%files       -n %{name}+unicode-gencat-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+unicode-perl-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+unicode-perl-devel %{_description}

This package contains library source intended for building other packages which
use the "unicode-perl" feature of the "%{crate}" crate.

%files       -n %{name}+unicode-perl-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+unicode-script-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+unicode-script-devel %{_description}

This package contains library source intended for building other packages which
use the "unicode-script" feature of the "%{crate}" crate.

%files       -n %{name}+unicode-script-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+unicode-segment-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+unicode-segment-devel %{_description}

This package contains library source intended for building other packages which
use the "unicode-segment" feature of the "%{crate}" crate.

%files       -n %{name}+unicode-segment-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Mon Mar 27 2023 Fabio Valentini <decathorpe@gmail.com> - 0.6.29-1
- Update to version 0.6.29; Fixes RHBZ#2180503

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.28-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Mon Dec 12 2022 Fabio Valentini <decathorpe@gmail.com> - 0.6.28-1
- Update to version 0.6.28; Fixes RHBZ#2140337

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.27-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jul 08 2022 Fabio Valentini <decathorpe@gmail.com> - 0.6.27-1
- Update to version 0.6.27; Fixes RHBZ#2104188

* Wed May 25 2022 Fabio Valentini <decathorpe@gmail.com> - 0.6.26-1
- Update to version 0.6.26; Fixes RHBZ#2088803

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.25-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.25-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sun May 02 2021 Fabio Valentini <decathorpe@gmail.com> - 0.6.25-1
- Update to version 0.6.25.
- Fixes RHBZ#1955845

* Sun Mar 21 2021 Fabio Valentini <decathorpe@gmail.com> - 0.6.23-1
- Update to version 0.6.23.
- Fixes RHBZ#1938047

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.22-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sat Jan 09 2021 Fabio Valentini <decathorpe@gmail.com> - 0.6.22-1
- Update to version 0.6.22.
- Fixes RHBZ#1914361

* Thu Nov 05 2020 Fabio Valentini <decathorpe@gmail.com> - 0.6.21-1
- Update to version 0.6.21.
- Fixes RHBZ#1887234

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.18-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Fri May 29 16:56:02 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.6.18-1
- Update to 0.6.18

* Fri Mar 13 2020 Josh Stone <jistone@redhat.com> - 0.6.17-1
- Update to 0.6.17

* Tue Mar 03 2020 Josh Stone <jistone@redhat.com> - 0.6.16-1
- Update to 0.6.16

* Mon Mar 02 09:08:42 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.6.15-1
- Update to 0.6.15

* Fri Jan 31 2020 Josh Stone <jistone@redhat.com> - 0.6.14-1
- Update to 0.6.14

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.13-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Wed Jan 15 2020 Josh Stone <jistone@redhat.com> - 0.6.13-1
- Update to 0.6.13

* Sun Sep 08 09:34:53 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.12-1
- Update to 0.6.12

* Sun Aug 04 06:55:50 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.11-1
- Update to 0.6.11

* Sun Jul 28 21:15:48 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.10-1
- Update to 0.6.10

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sun Jul 07 15:01:15 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.8-1
- Update to 0.6.8

* Thu Jun 20 11:07:48 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.7-2
- Regenerate

* Sun Jun 09 15:17:37 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.7-1
- Update to 0.6.7

* Sun Jun 09 11:20:40 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.6-2
- Regenerate

* Tue Apr 02 2019 Josh Stone <jistone@redhat.com> - 0.6.6-1
- Update to 0.6.6

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Mon Jan 28 2019 Josh Stone <jistone@redhat.com> - 0.6.5-1
- Update to 0.6.5

* Mon Dec 03 2018 Josh Stone <jistone@redhat.com> - 0.6.4-1
- Update to 0.6.4

* Sat Nov 10 2018 Josh Stone <jistone@redhat.com> - 0.6.3-1
- Update to 0.6.3

* Sat Oct 27 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.2-3
- Adapt to new packaging

* Sun Oct 07 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.2-2
- Run tests in infrastructure

* Thu Jul 19 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.2-1
- Update to 0.6.2

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 12 2018 Josh Stone <jistone@redhat.com> - 0.6.1-1
- Update to 0.6.1

* Tue Jun 12 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.0-1
- Update to 0.6.0

* Tue May 01 2018 Josh Stone <jistone@redhat.com> - 0.5.6-1
- Update to 0.5.6

* Mon Apr 16 2018 Josh Stone <jistone@redhat.com> - 0.5.5-1
- Update to 0.5.5

* Wed Mar 14 2018 Josh Stone <jistone@redhat.com> - 0.5.3-1
- Update to 0.5.3

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Jan 08 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.2-2
- Rebuild for rust-packaging v5

* Sun Dec 31 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.2-1
- Update to 0.4.2

* Sat Dec 02 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.1-3
- Bump quickcheck to 0.5

* Wed Nov 29 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.1-2
- Enable tests

* Wed Jun 14 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.1-1
- Update to 0.4.1

* Wed Jun 14 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.0-3
- Port to use rust-packaging

* Fri Feb 24 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.0-2
- Use rich dependencies

* Sat Feb 18 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.0-1
- Initial package

